Subject: [MEXT] [RFC3775 changes] Site-local addresses

From: "George Tsirtsis" <[email-masked]>
Date: Fri, 14 Dec 2007 15:46:28 +0000

Not sure if this has been discussed already so I thought I should ask first.

Looking at RFC3775 I counted 8 mentions of site-local addresses,
including section 4.6."Site-Local Addressability". Given the
deprecated status of site local addresses (rfc3879) how do we want to
handle these?

Is someone else already dealing with this or shall I work on suggested
text changes?

George

_______________________________________________
MEXT mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mext

---

From: marcelo bagnulo braun <[email-masked]>
Date: Sat, 15 Dec 2007 17:25:20 +0100

Hi George,

El 14/12/2007, a las 16:46, George Tsirtsis escribió:

> Is someone else already dealing with this

not that i am aware of

> or shall I work on suggested
> text changes?
>

please do

Thanks, marcelo

---

From: "George Tsirtsis" <[email-masked]>
Date: Mon, 17 Dec 2007 12:30:00 +0000

All,

The following text changes are dealing with the deprecated site-local
addresses in RFC3775. See Motivation at the end of the e-mail.

-------------------------------------------------------------------------------------------------
OLD TEXT:
3.1. General Terms
...
   unicast routable address

      An identifier for a single interface such that a packet sent to it
      from another IPv6 subnet is delivered to the interface identified
      by that address.  Accordingly, a unicast routable address must
      have either a global or site-local scope (but not link-local).

NEW TEXT:
3.1. General Terms
...
   unicast routable address

      An identifier for a single interface such that a packet sent to it
      from another IPv6 subnet is delivered to the interface identified
      by that address.  Accordingly, a unicast routable address must
      either be global IPv6 address or a unique local IPv6 address.

-------------------------------------------------------------------------------------------------

OLD TEXT:
4.6. Site-Local Addressability

   This specification requires that home and care-of addresses MUST be
   unicast routable addresses.  Site-local addresses may be usable on
   networks that are not connected to the Internet, but this
   specification does not define when such usage is safe and when it is
   not.  Mobile nodes may not be aware of which site they are currently
   in, it is hard to prevent accidental attachment to other sites, and
   ambiguity of site-local addresses can cause problems if the home and
   visited networks use the same addresses.  Therefore, site-local
   addresses SHOULD NOT be used as home or care-of addresses.

NEW TEXT:
4.6. Unique-Local Addressability

   This specification requires that home and care-of addresses MUST be
   unicast routable addresses.  Unique-local IPv6 unicast addresses [RFC4193]
   may be usable on networks that use such non-globaly routable addresses
   but this specification does not define when such usage is safe and when it is
   not.  Mobile nodes may not be aware of which site they are currently
   making it hard to prevent accidental attachment to other sites, resulting in
   possible unrechability between the MN and the HA, when unique-local IPv6
   routable addresses are used as care-of addresses. Also, CNs outside the MN's
   own site are not going to be reachable when unique-local IPv6
routable addresses
   are used as home addresses. Therefore, unique-local IPv6 unicast addresses
   SHOULD NOT be used as home or care-of addresses. If such addresses are used,
   however, according to [RFC4193], they are treated as any global unicast IPv6
   address so, for the remainder of this specification, use of
unique-local IPv6 unicast
   addresses is not differentiated from other globally unique IPv6 addresses.

-------------------------------------------------------------------------------------------------

OLD TEXT:
10.4.2. Processing Intercepted Packets
...
                                                                   ...
Packets addressed to
   the mobile node's site-local address SHOULD NOT be tunneled to the
   mobile node by default.

NEW TEXT (None: old text removed)

-------------------------------------------------------------------------------------------------

OLD TEXT:
11.3.1. Sending Packets While Away from Home
...
      o  While not at its home link, the mobile node MUST NOT use the Home
      Address destination option when communicating with link-local or
      site-local peers, if the scope of the home address is larger than
      the scope of the peer's address.

NEW TEXT:
11.3.1. Sending Packets While Away from Home
...
   o  While not at its home link, the mobile node MUST NOT use the Home
      Address destination option when communicating with link-local peers.

-------------------------------------------------------------------------------------------------

OLD TEXT:
11.5.4. Returning Home
...
                                         ...The mobile node MUST
multicast such a
   Neighbor Advertisement for each of its home addresses, as defined by
   the current on-link prefixes, including its link-local address and
   site-local address.

NEW TEXT:
11.5.4. Returning Home
...
                                         ...The mobile node MUST
multicast such a
   Neighbor Advertisement for each of its home addresses, as defined by
   the current on-link prefixes, including its link-local address.

-------------------------------------------------------------------------------------------------

MOTIVATION:
Site-local addresses have been deprecated (see RFC3879). According to
this RFC, future versions of RFCs that mention site-local addresses
should remove such references and replace them with appropriate
alternatives. In the mean time an alternative to site-local addresses
has been defined in RFC4193 (Unique-local IPv6 routable addresses).
According to this RFC, these addresses have limited routability
(typically within one or small number of sites) but they are otherwise
treated as other global IPv6 addresses.

Based on the above, the new text proposed above removes all references
to site-local addresses and replaces them with unique-local IPv6
addresses as directed by RFC3879 and RFC4193.

Regards
George